Name:           curseofwar
Version:        1.2.0
Release:        1%{?dist}
Summary:        Command line real-time strategy game

License:        GPLv3+
URL:            https://github.com/a-nikolaev/curseofwar/
Source0:        https://github.com/a-nikolaev/curseofwar/archive/v%{version}/%{name}-%{version}.tar.gz

# I wrote a desktop file for the SDL version of curseofwar.
# However, I am choosing NOT to write an AppData file, at least
# at this time. curseofwar is mostly dead upstream but the SDL
# version has some issues, so I don't think software centers
# should show it.
Source1:        curseofwar-sdl.desktop

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  SDL-devel

BuildRequires:  desktop-file-utils

%package sdl

Summary:        Fast-paced action strategy game

%description
This is a fast-paced action strategy game for Linux implemented using
ncurses user interface.

Unlike most RTS, you are not controlling units, but focus on high-level
strategic planning: Building infrastructure, securing resources,
and moving your armies.

The core game mechanics turns out to be quite close to WWI-WWII type of
warfare, however, there is no explicit reference to any historical period.

%description sdl
This is the SDL implementation of curseofwar, a fast-paced action
strategy game for Linux.

%prep
%autosetup

%build
%cmake
%make_build

%install
# It seems that the cmake build doesn't generate an install target.
mkdir -p %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/curseofwar/
mkdir -p %{buildroot}%{_mandir}/man6/

# Install non-SDL package.
cp -a curseofwar %{buildroot}%{_bindir}/
cp -a curseofwar.6 %{buildroot}%{_mandir}/man6/

# Install SDL package.
cp -a curseofwar-sdl %{buildroot}%{_bindir}/
cp -a curseofwar-sdl.6 %{buildroot}%{_mandir}/man6/
cp -ar images pixmaps %{buildroot}%{_datadir}/curseofwar/

# Install desktop file.
mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ %SOURCE1

%files
%{_bindir}/curseofwar
%{_mandir}/man6/curseofwar.6*
%license LICENSE
%doc README CHANGELOG

%files sdl
%{_bindir}/curseofwar-sdl
%{_mandir}/man6/curseofwar-sdl.6*
%{_datadir}/curseofwar
%{_datadir}/applications/curseofwar-sdl.desktop
%license LICENSE
%doc README CHANGELOG

%changelog
* Mon Oct  2 2017 Ben Rosser <rosser.bjr@gmail.com> 1.2.0-1
- Initial package.
